%define name kernel-mppe

Summary: ppp-MPPE kernel modules for PPTP.
Name: %{name}
Version: %{VERSION}
Release: %{RELEASE}
Copyright: %{LICENSE}
Group: Networking/Daemons
Packager: R. de Vroede <richard@fenix.getmyip.com>
URL: http://www.poptop.org
Source0: confmod.sh
Buildroot: %{_tmppath}/%{name}-root
%if %{BSD}
%define pppneeded ppp >= 2.4.2
%else
%define pppneeded ppp-mppe
%endif
Requires: kernel = %{VERSION}, %{pppneeded}

%description
MPPE is an encryption technology developed by Microsoft to encrypt 
point-to-point links. These PPP connections can be over a dialup 
line or over a VPN tunnel. MPPE works as a subfeature of Microsoft 
Point-to-Point Compression (MPPC). MPPC is a scheme used to compress 
PPP packets between Cisco and Microsoft client devices. The MPPC 
algorithm is designed to optimize bandwidth utilization in order 
to support multiple simultaneous connections.
MPPE is negotiated using bits in the MPPC option within the Compression 
Control Protocol (CCP) MPPC configuration option (CCP configuration 
option number 18).
MPPE uses the RC4 algorithm with either 40- or 128-bit keys. All keys 
are derived from the cleartext authentication password of the user. 
RC4 is stream cipher; therefore, the sizes of the encrypted and 
decrypted frames are the same size as the original frame. 

%prep
RPM_BUILD_DIR=%{_tmppath}
RPM_SOURCE_DIR=%{_tmppath}
mkdir -p $RPM_BUILD_DIR
rm -rf $RPM_BUILD_DIR/%{name}-%{VERSION}
mkdir -p $RPM_BUILD_DIR/%{name}-%{VERSION}
install -m 0755 %{SOURCE0} $RPM_BUILD_DIR/confmod.sh
$RPM_BUILD_DIR/confmod.sh
rm -f $RPM_BUILD_DIR/confmod.sh

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{VERSION}-%{RELEASE}/net
install -m 0644 /lib/modules/%{VERSION}-%{RELEASE}/net/ppp_mppe.o $RPM_BUILD_ROOT/lib/modules/%{VERSION}-%{RELEASE}/net/ppp_mppe.o
install -m 0644 /lib/modules/%{VERSION}-%{RELEASE}/net/ppp.o $RPM_BUILD_ROOT/lib/modules/%{VERSION}-%{RELEASE}/net/ppp_generic_mppe.o
install -m 0755 %{SOURCE0} $RPM_BUILD_DIR/confmod.sh
$RPM_BUILD_DIR/confmod.sh
rm -f $RPM_BUILD_DIR/confmod.sh

%post
if [ ! -f "/lib/modules/%{VERSION}-%{RELEASE}/net/ppp_generic_kernel-%{VERSION}.o" ]; then
    mv -f /lib/modules/%{VERSION}-%{RELEASE}/net/ppp.o /lib/modules/%{VERSION}-%{RELEASE}/net/ppp_generic_kernel-%{VERSION}.o
fi 
cp -f /lib/modules/%{VERSION}-%{RELEASE}/net/ppp_generic_mppe.o /lib/modules/%{VERSION}-%{RELEASE}/net/ppp.o
if [ -f /boot/system.map-%{VERSION}-%{RELEASE} ]; then
    depmod -a -F /boot/system.map-%{VERSION}-%{RELEASE}
fi

%preun
if [ "$1" = 0 ]; then
    mv -f /lib/modules/%{VERSION}-%{RELEASE}/net/ppp_generic_kernel-%{VERSION}.o /lib/modules/%{VERSION}-%{RELEASE}/net/ppp.o
    rm -f /lib/modules/%{VERSION}-%{RELEASE}/net/ppp_mppe.o
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/lib/modules/%{VERSION}-%{RELEASE}/net/ppp_mppe.o
/lib/modules/%{VERSION}-%{RELEASE}/net/ppp_generic_mppe.o

%changelog
* Fri Dec 20 2002 Richard de Vroede <richard@fenix.getmyip.com>
- added variables for license and pppneeded
* Mon Dec 02 2002 Richard de Vroede <richard@fenix.getmyip.com>
- added -F option to depmod
- added rm for ppp_mppe.o when uninstalling
* Mon Oct 21 2002 Richard de Vroede <richard@fenix.getmyip.com>
- Changed the version variable, so it has to be given at buildtime
 Wed Oct  2 2002 Richard de Vroede <richard@fenix.getmyip.com>
- first build

