Summary:	ppp-MPPE kernel module for PPTP
Name:		kernel-mppe
Version:	%{VERSION}
Release:	%{RELEASE}
License:	Dual BSD/GPL
Group:		Networking/Daemons
Packager:	Paul Howarth <paul@city-fan.org>
URL:		http://www.poptop.org/
Buildroot:	%{_tmppath}/%{name}-root
Requires:	kernel = %{VERSION}-%{RELEASE}, ppp >= 2.4.2

%description
MPPE is an encryption technology developed by Microsoft to encrypt 
point-to-point links. These PPP connections can be over a dialup 
line or over a VPN tunnel. MPPE works as a sub-feature of Microsoft 
Point-to-Point Compression (MPPC). MPPC is a scheme used to compress 
PPP packets between Cisco and Microsoft client devices. The MPPC 
algorithm is designed to optimize bandwidth utilization in order 
to support multiple simultaneous connections.
MPPE is negotiated using bits in the MPPC option within the Compression 
Control Protocol (CCP) MPPC configuration option (CCP configuration 
option number 18).
MPPE uses the RC4 algorithm with either 40- or 128-bit keys. All keys 
are derived from the cleartext authentication password of the user. 
RC4 is stream cipher; therefore, the sizes of the encrypted and 
decrypted frames are the same size as the original frame. 

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}/lib/modules/%{VERSION}-%{RELEASE}/kernel/drivers/net
%{__install} -m 0744 /lib/modules/%{VERSION}-%{RELEASE}/kernel/drivers/net/ppp_mppe.ko \
	%{buildroot}/lib/modules/%{VERSION}-%{RELEASE}/kernel/drivers/net/ppp_mppe.ko
%{__install} -m 0744 /lib/modules/%{VERSION}-%{RELEASE}/kernel/drivers/net/ppp_generic_mppe.ko \
	%{buildroot}/lib/modules/%{VERSION}-%{RELEASE}/kernel/drivers/net/ppp_generic_mppe.ko

%post
[ ! -f /lib/modules/%{VERSION}-%{RELEASE}/kernel/drivers/net/ppp_generic_original.ko ] &&
	%{__mv} -f /lib/modules/%{VERSION}-%{RELEASE}/kernel/drivers/net/ppp_generic.ko \
		/lib/modules/%{VERSION}-%{RELEASE}/kernel/drivers/net/ppp_generic_original.ko
%{__rm} -f /lib/modules/%{VERSION}-%{RELEASE}/kernel/drivers/net/ppp_generic.ko
%{__cp} -p /lib/modules/%{VERSION}-%{RELEASE}/kernel/drivers/net/ppp_generic_mppe.ko \
	/lib/modules/%{VERSION}-%{RELEASE}/kernel/drivers/net/ppp_generic.ko
[ -f /boot/System.map-%{VERSION}-%{RELEASE} ] && /sbin/depmod -a -F /boot/System.map-%{VERSION}-%{RELEASE}

%preun
if [ "$1" = 0 ]; then
	if [ -f /lib/modules/%{VERSION}-%{RELEASE}/kernel/drivers/net/ppp_generic_original.ko ]; then
		%{__rm} -f /lib/modules/%{VERSION}-%{RELEASE}/kernel/drivers/net/ppp_generic.ko
		%{__mv} -f /lib/modules/%{VERSION}-%{RELEASE}/kernel/drivers/net/ppp_generic_original.ko \
			/lib/modules/%{VERSION}-%{RELEASE}/kernel/drivers/net/ppp_generic.ko
	fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/lib/modules/%{VERSION}-%{RELEASE}/kernel/drivers/net/ppp_mppe.ko
/lib/modules/%{VERSION}-%{RELEASE}/kernel/drivers/net/ppp_generic_mppe.ko

%changelog
* Tue Jun 01 2004 Paul Howarth <paul@city-fan.org>
- first 2.6 kernel version
* Fri Dec 20 2002 Richard de Vroede <richard@fenix.getmyip.com>
- added variables for license and pppneeded
* Mon Dec 02 2002 Richard de Vroede <richard@fenix.getmyip.com>
- added -F option to depmod
- added rm for ppp_mppe.o when uninstalling
* Mon Oct 21 2002 Richard de Vroede <richard@fenix.getmyip.com>
- Changed the version variable, so it has to be given at buildtime
 Wed Oct  2 2002 Richard de Vroede <richard@fenix.getmyip.com>
- first build

